Matching Markets
Sports
Find equivalent markets across different prediction market platforms (Polymarket, Kalshi, etc.) for sports events using a Polymarket market slug or a Kalshi event ticker.
GET
/
matching-markets
/
sports
Get Matching Markets for Sports
curl --request GET \
--url https://api.domeapi.io/v1/matching-markets/sportsimport requests
url = "https://api.domeapi.io/v1/matching-markets/sports"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.domeapi.io/v1/matching-markets/sports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"markets": {
"nfl-ari-den-2025-08-16": [
{
"platform": "KALSHI",
"event_ticker": "KXNFLGAME-25AUG16ARIDEN",
"market_tickers": [
"KXNFLGAME-25AUG16ARIDEN-ARI",
"KXNFLGAME-25AUG16ARIDEN-DEN"
]
},
{
"platform": "POLYMARKET",
"market_slug": "nfl-ari-den-2025-08-16",
"token_ids": [
"34541522652444763571858406546623861155130750437169507355470933750634189084033",
"104612081187206848956763018128517335758189185749897027211060738913329108425255"
]
}
],
"nfl-dal-phi-2025-09-04": [
{
"platform": "KALSHI",
"event_ticker": "KXNFLGAME-25SEP04DALPHI",
"market_tickers": [
"KXNFLGAME-25SEP04DALPHI-DAL",
"KXNFLGAME-25SEP04DALPHI-PHI"
]
}
]
}
}{
"error": "Missing required parameter",
"message": "At least one polymarket_market_slug or kalshi_event_ticker is required"
}{
"error": "Not found",
"message": "No matching markets found for the provided parameters"
}Query Parameters
The Polymarket market slug(s) to find matching markets for. To get multiple markets at once, provide the query param multiple times with different slugs. Can not be combined with kalshi_event_ticker.
Example:
[
"nfl-ari-den-2025-08-16",
"nfl-dal-phi-2025-09-04"
]
The Kalshi event ticker(s) to find matching markets for. To get multiple markets at once, provide the query param multiple times with different tickers. Can not be combined with polymarket_market_slug.
Example:
[
"KXNFLGAME-25AUG16ARIDEN",
"KXNFLGAME-25SEP04DALPHI"
]
Response
Matching markets response
Show child attributes
Show child attributes
Example:
{
"nfl-ari-den-2025-08-16": [
{
"platform": "KALSHI",
"event_ticker": "KXNFLGAME-25AUG16ARIDEN",
"market_tickers": [
"KXNFLGAME-25AUG16ARIDEN-ARI",
"KXNFLGAME-25AUG16ARIDEN-DEN"
]
},
{
"platform": "POLYMARKET",
"market_slug": "nfl-ari-den-2025-08-16",
"token_ids": [
"34541522652444763571858406546623861155130750437169507355470933750634189084033",
"104612081187206848956763018128517335758189185749897027211060738913329108425255"
]
}
],
"nfl-dal-phi-2025-09-04": [
{
"platform": "KALSHI",
"event_ticker": "KXNFLGAME-25SEP04DALPHI",
"market_tickers": [
"KXNFLGAME-25SEP04DALPHI-DAL",
"KXNFLGAME-25SEP04DALPHI-PHI"
]
}
]
}
Previous
Get matching markets sports sportFind equivalent markets across different prediction market platforms (Polymarket, Kalshi, etc.) for sports events by sport and date.
Next
⌘I
Get Matching Markets for Sports
